Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 19 Mar 2023 16:29:36 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I had placed an order on Wednesday, 15th March 8419736788. I had clearly mentioned in my address that delivery is from 7:30am to 3:00pm as it is my office address. The delivery guy called me on Thursday evening around 6:30pm and informed me that someone else will call you tomorrow to be delivered at your home address. But until now i.e. Sunday, no lucky with the delivery despite calling twice and requesting your customer care service. This is my first order and I am sorry to say that I have been experience a delivery issue. Please do the needful to deliver the order by 3:00pm today or tomorrow. After 3:00pm there is no point of the delivery person calling me. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5873127